/**
* +----------------------------------------------------------------------+
* | This file is part of the Ayyi project. http://www.ayyi.org           |
* | copyright (C) 2004-2016 Tim Orford <tim@orford.org>                  |
* +----------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify |
* | it under the terms of the GNU General Public License version 3       |
* | as published by the Free Software Foundation.                        |
* +----------------------------------------------------------------------+
*
*/
#ifndef __ayyi_transport_h__
#define __ayyi_transport_h__

void       ayyi_transport_play            ();
void       ayyi_transport_rec             ();
void       ayyi_transport_stop            ();
void       ayyi_transport_rew             ();
void       ayyi_transport_ff              ();

gboolean   ayyi_transport_is_stopped      ();
gboolean   ayyi_transport_is_rew          ();
gboolean   ayyi_transport_is_ff           ();
gboolean   ayyi_transport_is_playing      ();
gboolean   ayyi_transport_is_cycling      ();
gboolean   ayyi_transport_is_rec_enabled  ();
gboolean   ayyi_transport_is_recording    ();

uint32_t   ayyi_transport__get_frame      ();
void       ayyi_transport_get_spp_string  (char* spp);

#endif
