/**
* +----------------------------------------------------------------------+
* | This file is part of the Ayyi project. http://ayyi.org               |
* | copyright (C) 2004-2017 Tim Orford <tim@orford.org>                  |
* +----------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify |
* | it under the terms of the GNU General Public License version 3       |
* | as published by the Free Software Foundation.                        |
* +----------------------------------------------------------------------+
*
*/
#ifndef __icon_h__
#define __icon_h__

#define SM_STOCK_BLANK "sm-blank"
#define SM_STOCK_ZOOM_IN "sm-zoom-in"
#define SM_STOCK_ZOOM_OUT "sm-zoom-out"
#define SM_STOCK_CROSS "sm-cross"
#define SM_STOCK_POINTER "sm-pointer"
#define SM_STOCK_SEMIQUAVER "sm-semiquaver"
#define SM_STOCK_LINK "link"
#define SM_STOCK_FOLLOW "follow"
#define SM_STOCK_AUTOMATION "automation"
#define SM_STOCK_HISTORY "history"

void       icons_init                      ();
GdkPixbuf* get_icon                        (const char*, int size);
GtkWidget* svg_image_new                   (const char* svgpath);

void       create_cursors                  ();

#endif
