/**
* +----------------------------------------------------------------------+
* | This file is part of the Ayyi project. http://www.ayyi.org           |
* | copyright (C) 2004-2017 Tim Orford <tim@orford.org>                  |
* +----------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify |
* | it under the terms of the GNU General Public License version 3       |
* | as published by the Free Software Foundation.                        |
* +----------------------------------------------------------------------+
*
*/
#ifndef __panels_filemanager_h__
#define __panels_filemanager_h__

#include <panels/panel.h>

G_BEGIN_DECLS

#define AYYI_TYPE_FILEMANAGER            (ayyi_filemanager_get_type ())
#define AYYI_FILEMANAGER(obj)            (GTK_CHECK_CAST ((obj), AYYI_TYPE_FILEMANAGER, AyyiFilemanager))
#define AYYI_FILEMANAGER_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), AYYI_TYPE_FILEMANAGER, AyyiFilemanagerClass))
#define AYYI_IS_FILEMANAGER(obj)         (GTK_CHECK_TYPE ((obj), AYYI_TYPE_FILEMANAGER))
#define AYYI_IS_FILEMANAGER_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), AYYI_TYPE_FILEMANAGER))
#define AYYI_FILEMANAGER_GET_CLASS(obj)  (GTK_CHECK_GET_CLASS ((obj), AYYI_TYPE_FILEMANAGER, AyyiFilemanagerClass))

typedef struct _AyyiFilemanagerClass AyyiFilemanagerClass;

#define filemanager_foreach GList* swindows = windows__get_by_type(TYPE_FILEMANAGER); if(swindows){ for(;swindows;swindows=swindows->next){ struct _filemanager_win* filemanager = (struct _filemanager_win*)swindows->data;
#define end_filemanager_foreach } g_list_free(swindows); }

struct _AyyiFilemanagerClass {
	AyyiPanelClass parent_class;
};

struct _AyyiFilemanager {
	AyyiPanel      panel;
};

void        filemanager_init     ();
GtkWidget*  filemanager_win__new (AyyiShell*, Size*, GtkOrientation);

G_END_DECLS

#endif
