/**
* +----------------------------------------------------------------------+
* | This file is part of the Ayyi project. http://www.ayyi.org           |
* | copyright (C) 2004-2017 Tim Orford <tim@orford.org>                  |
* +----------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify |
* | it under the terms of the GNU General Public License version 3       |
* | as published by the Free Software Foundation.                        |
* +----------------------------------------------------------------------+
*
*/
#ifndef __am_automation_h__
#define __am_automation_h__

#ifdef __am_private__
gboolean       am_automation_sync               ();
#endif
void           am_automation_point_add          (Curve*, int p, AyyiHandler, gpointer);
void           am_automation_point_remove       (Curve*, int p, AyyiHandler, gpointer);
void           am_automation_point_change       (Curve*, int p, AyyiHandler, gpointer);
void           am_automation_make_empty         (Curve*);

void           am_automation_print_path_code    (int i, char* s);
void           am_automation_print_bezier_path  (Curve*);

#endif //__am_automation_h__
