/**
* +----------------------------------------------------------------------+
* | This file is part of the Ayyi project. http://ayyi.org               |
* | copyright (C) 2013-2017 Tim Orford <tim@orford.org>                  |
* +----------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify |
* | it under the terms of the GNU General Public License version 3       |
* | as published by the Free Software Foundation.                        |
* +----------------------------------------------------------------------+
*
*/
#ifndef __am_midi_part_h__
#define __am_midi_part_h__

MidiPart*     am_midi_part__new                 ();
MidiNote*     am_midi_part__get_note_by_idx     (AMPart*, AyyiIdx);
MidiNote*     am_midi_part__get_next_event      (AMPart*, MidiNote*);
MidiNote*     am_midi_part__get_prev_midi_event (AMPart*, MidiNote*);
void          am_midi_part__print_events        (AMPart*);
int           am_midi_part__find_note           (AyyiMidiRegion*, MidiNote*);
gboolean      am_midi_part__sync                (MidiPart*);
MidiPart*     am_midi_part__init_from_index     (MidiPart*, AyyiIdx);
void          am_midi_part__set_notes           (AMPart*, const GList* notes, AyyiHandler, gpointer);
void          am_midi_part__set_note_selection  (MidiPart*, GList*, gpointer);

#endif
