/*
  This file is part of the Ayyi Project. http://www.ayyi.org
  copyright (C) 2004-2017 Tim Orford <tim@orford.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 3.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __am_mixer_h__
#define __am_mixer_h__

AyyiIdx    am__mixer_channel_next    (const AMChannel*);
void       am__mixer_show_routing    ();

void       am_aux__add               (AMChannel*, int aux_num, AyyiHandler, gpointer);
void       am_aux__remove            (AMChannel*, int aux_num, AyyiHandler, gpointer);

gboolean   am__mixer_verify          ();
void       am__mixer_print           ();

#ifdef __am_private__
void       am__mixer_sync            ();
void       am__mixer_periodic_update (GObject* _song, gpointer user_data);
#endif

#endif
