/*
  copyright (C) 2012 Tim Orford <tim@orford.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

varying vec2 MCposition;
uniform mat4 modelview_matrix;
uniform mat4 projection_matrix;
attribute vec3 a_Vertex;

void main() 
{
	MCposition = gl_Vertex.xy;

	mat4 matrix = mat4(1.0);

	gl_Position = matrix * ftransform();
}

